#!/bin/bash
##############################
## Wall Changer 1.2
## created Jeffri H, aka keaglez
## Februari 22, 2008
##############################

## START OF SCRIPT ##

MYPATH=`dirname "$0"`
export PATH=$MYPATH:$PATH
KGAPPS="/mmc/mmca1/KgApps"
WALLCHANGER="$KGAPPS/WallChanger"
CONFIG="$WALLCHANGER/wall_changer.cfg"
LIST="$WALLCHANGER/wallpaper.list" 

##############################

READ_WALLPAPER(){
  if [ -f "$LIST" ]
  then
    rm "$LIST"
  fi
  AMOUNT=0
  for wallpaper in "$WALLPAPER_PATH"/*.[Jj][Pp][Gg] "$WALLPAPER_PATH"/*.[Pp][Nn][Gg] "$WALLPAPER_PATH"/*.[Bb][Mm][Pp] "$WALLPAPER_PATH"/*.[Gg][Ii][Ff]
  do
    if [ -e "$wallpaper" ]
    then
      let AMOUNT++
      echo "$wallpaper" >> "$LIST"
    fi
  done
}

##############################

LOOP=1
done=0
wait=0
while [ "$LOOP" = "1" ]
do
  . $CONFIG
  if [ "$ON_RESTART" = "0" ] && [ "$ON_INTERVAL" = "0" ]
  then
    LOOP=0
  else
    READ_WALLPAPER
    if [ "$ON_RESTART" = "1" ] && [ "$done" = "0" ]
    then
      let "COUNT=$RANDOM%$AMOUNT"
      WP="`sed -n ${COUNT}p $LIST`"
      themes=`cat /ezx_user/download/appwrite/setup/ezx_theme.cfg|grep 'CurrentTheme = '|sed 's/CurrentTheme = //'`
      if [ -e "$WP" ]
      then
        setconfig "$themes" WallPaper "$WP"
        done=1
        wait=1
      fi
    fi
  if [ "$ON_INTERVAL" = "0" ]
  then
    LOOP=0
    elif [ "$ON_INTERVAL" = "1" ]
    then
      if [ "$wait" = "1" ]
      then
        sleep ${INTERVAL}s
      fi
      let "COUNT=$RANDOM%$AMOUNT"
      WP="`sed -n ${COUNT}p $LIST`"
      if [ -e "$WP" ]
      then
        setWallpaper "$WP"
        wait=1
      else
        wait=0
      fi
    fi
  fi
done
exit 0

## END OF SCRIPT ##